> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 各コネクタの未送信メッセージ数の取得

> 各コネクタの未送信メッセージ数を取得します。



## OpenAPI

````yaml 26.3/cloud/ja/api-reference/openapi.json POST /getMessageCount
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /getMessageCount:
    post:
      tags:
        - getMessageCount
      summary: 各コネクタの未送信メッセージ数の取得
      description: 各コネクタの未送信メッセージ数を取得します。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/getMessageCount_input'
      responses:
        '200':
          description: アクションの結果。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getMessageCount_output'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    getMessageCount_input:
      type: object
      properties:
        WorkspaceId:
          type: string
          description: >-
            設定すると、APIは指定したワークスペースの保留中メッセージ数を返します。空のままにすると、すべてのワークスペース内のすべてのコネクタのメッセージ数が返されます。
        ConnectorId:
          type: string
          description: メッセージ数を取得するコネクタのID。
    getMessageCount_output:
      type: array
      items:
        type: object
        properties:
          ConnectorId:
            type: string
            description: コネクタのID。
          Count:
            type: string
            description: コネクタの保留中メッセージ数。この値は、Send フォルダ内のすべてのメッセージの数になります。
          Workspace:
            description: コネクタのワークスペース。
            type: string
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````